%{?mingw_package_header}

%global pkgname gtkspellmm30

Name:          mingw-%{pkgname}
Version:       3.0.5
Release:       %mkrel 6
Summary:       MinGW Windows GtkSpellmm library
License:       GPLv2+
Group:         Development/Other
BuildArch:     noarch
URL:           https://gtkspell.sourceforge.net/
Source0:       https://downloads.sourceforge.net/gtkspell/gtkspellmm-%{version}.tar.xz

BuildRequires: mingw32-filesystem >= 95
BuildRequires: mingw32-gcc-c++
BuildRequires: mingw32-glibmm24
BuildRequires: mingw32-gtkmm30
BuildRequires: mingw32-gtkspell3

BuildRequires: mingw64-filesystem >= 95
BuildRequires: mingw64-gcc-c++
BuildRequires: mingw64-glibmm24
BuildRequires: mingw64-gtkmm30
BuildRequires: mingw64-gtkspell3


%description
MinGW Windows GtkSpellmm library.


%package -n mingw32-%{pkgname}
Summary:       MinGW Windows GtkSpellmm library

%description -n mingw32-%{pkgname}
MinGW Windows GtkSpellmm library.


%package -n mingw32-%{pkgname}-static
Summary:       Static version of the MinGW Windows GtkSpellmm library
Requires:      mingw32-%{pkgname} = %{version}-%{release}

%description -n mingw32-%{pkgname}-static
Static version of the MinGW Windows GtkSpellmm library.


%package -n mingw64-%{pkgname}
Summary:       MinGW Windows GtkSpellmm library

%description -n mingw64-%{pkgname}
MinGW Windows GtkSpellmm library.


%package -n mingw64-%{pkgname}-static
Summary:       Static version of the MinGW Windows GtkSpellmm library
Requires:      mingw64-%{pkgname} = %{version}-%{release}

%description -n mingw64-%{pkgname}-static
Static version of the MinGW Windows GtkSpellmm library.


%{?mingw_debug_package}


%prep
%setup -q -n gtkspellmm-%{version}


%build
%mingw_configure --disable-documentation --enable-static
%mingw_make_build


%install
%mingw_make_install

# Delete *.la files
find %{buildroot} -name '*.la' -exec rm -f {} ';'


%files -n mingw32-%{pkgname}
%license COPYING
%{mingw32_bindir}/libgtkspellmm-3.0-0.dll
%{mingw32_includedir}/gtkspellmm-3.0/
%{mingw32_libdir}/gtkspellmm-3.0/
%{mingw32_libdir}/libgtkspellmm-3.0.dll.a
%{mingw32_libdir}/pkgconfig/gtkspellmm-3.0.pc

%files -n mingw32-%{pkgname}-static
%{mingw32_libdir}/libgtkspellmm-3.0.a

%files -n mingw64-%{pkgname}
%license COPYING
%{mingw64_bindir}/libgtkspellmm-3.0-0.dll
%{mingw64_includedir}/gtkspellmm-3.0/
%{mingw64_libdir}/gtkspellmm-3.0/
%{mingw64_libdir}/libgtkspellmm-3.0.dll.a
%{mingw64_libdir}/pkgconfig/gtkspellmm-3.0.pc

%files -n mingw64-%{pkgname}-static
%{mingw64_libdir}/libgtkspellmm-3.0.a




%changelog
* Thu Sep 26 2024 daviddavid <daviddavid> 3.0.5-6.mga10
+ Revision: 2101286
- Change BR to mingw*-gcc-c++

* Sat Mar 26 2022 umeabot <umeabot> 3.0.5-5.mga9
+ Revision: 1828828
- Mageia 9 Mass Rebuild

* Sat Sep 26 2020 tv <tv> 3.0.5-4.mga8
+ Revision: 1630514
- rebuild for new mingw stack

* Wed Feb 12 2020 umeabot <umeabot> 3.0.5-3.mga8
+ Revision: 1502092
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 3.0.5-2.mga7
+ Revision: 1279809
- Mageia 7 Mass Rebuild

* Mon Aug 06 2018 daviddavid <daviddavid> 3.0.5-1.mga7
+ Revision: 1248054
- new version: 3.0.5

* Wed May 11 2016 tv <tv> 3.0.4-1.mga6
+ Revision: 1012696
- new release

* Wed Feb 17 2016 umeabot <umeabot> 3.0.2-7.mga6
+ Revision: 963990
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 3.0.2-6.mga5
+ Revision: 739283
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.0.2-5.mga5
+ Revision: 682458
- Mageia 5 Mass Rebuild

* Mon Oct 28 2013 neoclust <neoclust> 3.0.2-4.mga4
+ Revision: 547672
- imported package mingw-gtkspellmm30


* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Jul 08 2013 Sandro Mani <manisandro@gmail.com> - 3.0.2-3
- Rebuild again to really resolve InterlockedCompareExchange regression in mingw32 libraries

* Sun Jun 16 2013 Erik van Pienbroek <epienbro@fedoraproject.org> - 3.0.2-2
- Rebuild to resolve InterlockedCompareExchange regression in mingw32 libraries

* Tue Jun 04 2013 Sandro Mani <manisandro@gmail.com> - 3.0.2-1
- Update to 3.0.2

* Sun May 19 2013 Sandro Mani <manisandro@gmail.com> - 3.0.1-2
- Remove mingw_build_win32/64 macros
- Properly version mingw32-filesystem BuildRequires

* Wed May 08 2013 Sandro Mani <manisandro@gmail.com> - 3.0.1-1
- Initial package
